# Задание 4
### Двусвязный список
Цель: Двусвязный список (псевдокод):​
```List 
List // тип контейнер 
Len() // длинна списка 
First() // первый Item 
Last() // последний Item 
PushFront(v interface{}) // добавить значение в начало 
PushBack(v interface{}) // добавить значение в конец 
Remove(i Item) // удалить элемент​
Item // элемент списка 
Value() interface{} // возвращает значение 
Next() *Item // следующий 
Item Prev() *Item // предыдущий 
```